Retrieve Reviews and Questions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint retrieves your Reviews and Questions.

Without a Type specified, the endpoint returns all of your Reviews and Questions similar to the Timeline section of your dashboard.


Attributes & Sub-ratings

There are two types of custom data that can be associated with product reviews:

  • Review attributes (review_attributes) — additional star ratings about the product itself, e.g. "Fit", "Quality", "Comfort". Values are numeric.
  • Reviewer attributes (reviewer_attributes) — descriptive metadata about the person leaving the review, e.g. "Usual Size", "Age Range", "Skin Type". Values are text strings. These are attached to the reviewer rather than the individual review.

Both types must be pre-configured for the store via the REVIEWS.io dashboard (Collection -> Attributes). They cannot be created via the API.


Filtering by Attributes

First, enable filtering on your attributes by navigating to Collection -> Attributes in your REVIEWS.io dashboard. Click the attributes you would like to enable filtering on and then enable filtering.

The available attributes will be returned in the filters section of the response:

"filters": {
  "review_attributes": [{
    "id": 1747,
    "label": "Fit",
    "type": "centered-range",
    "values": [{
        "label": "Runs Small",
        "values": [1,2]
      },
      {
        "label": "True to Size",
        "values": [3]
      },
      {
        "label": "Runs Large",
        "values": [4,5]
      }
    ]
  }],
  "reviewer_attributes": [{
    "id": 7,
    "label": "Age Range",
    "type": "dropdown",
    "values": ["Under 18", "18-30", "Over 30"]
  }],
  "product_options": []
}

When filters are populated

  • review_attributes — only populated when a product identifier is provided (sku, mpn, gtin, or lookup). The store must have review questions configured that are marked as filterable, active, and not private, with a type and data defined.
  • reviewer_attributes — populated independently of product identifiers. The store only needs reviewer attributes configured that are marked as filterable.

Filter parameters

To filter reviews using these attributes, pass them as query parameters keyed by the attribute ID.

Review attributes — use product_question or review_attributes (these are interchangeable):

&product_question[1747]=3
&review_attributes[1747]=3

Multiple values can be comma-separated:

&product_question[1747]=1,2

For example, to filter by reviews where the reviewer rated the product "True to Size", use &product_question[1747]=3. To filter by "Runs Small", use &product_question[1747]=1,2.

Reviewer attributes — use reviewer_attribute:

&reviewer_attribute[7]=Over 30

This performs a wildcard match, so partial values will also match.


Authentication Note

While fetching reviews, if the type parameter is not specified, the API requires an apikey due to a security update. This is because when type is omitted, the API also fetches store_third_party_review, which requires apikey validation. Specifying the type as store_review, product_review, or questions will work without an apikey.

Query Params
string
required

Your REVIEWS.io public store key

string

Your REVIEWS.io private api key. This will add additional private data to the API response such as reviewer email addresses.

string

Product SKUs, seperated by semi colons

string

Product MPNs, seperated by semi colons

string

Product GTINs, seperated by semi colons

string
enum

Type of reviews to return. One of store_review, product_review, store_third_party_review or questions. If type is omitted or set to store_third_party_review, an apikey must be provided.

Allowed:
string

Tags, seperated by semi colons

string

Filter reviews by branch

number

Page of results to return

number

How many items to return per page

string

Return reviews with active photos or videos. One of images, videos or media.

string

Return reviews containing your keyword in the review text.

date

Return reviews newer than dateFrom.

date

Return reviews older than dateTo.

number
enum

Return reviews with rating higher than minRating.

Allowed:
string
enum

Order for reviews to be returned in. Defaults to newest first if none specified

attribute
array

Array of reviewer attribute, keyed by the attribute_id

attribute
review_attribute
array

Array of review attributes, keyed by the attribute_id

review_attribute
boolean

Includes photos on the review that are not currently published

boolean

Only return verified reviews

boolean

Include product_reviews when type is set to store_review

boolean

Include store_third_party_reviews when type is set to store_review

boolean

Include a counts and ratings of your rating attributes

boolean

Return reviews that have comments only

string

Return reviews left by a specific email address. Requires apikey

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json